PETSc version 3.17.4
Fix/Edit manual page

# DMNetworkCreateIS

Create an index set object from the global vector of the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkCreateIS(DM dm,PetscInt numkeys,PetscInt keys[],PetscInt blocksize[],PetscInt nselectedvar[],PetscInt *selectedvar[],IS *is)

Collective

### Input Parameters

| dm | - DMNetwork object
| numkeys | - number of keys
| keys | - array of keys that define the components of the variables you wish to extract
| blocksize | - block size of the variables associated to the component
| nselectedvar | - number of variables in each block to select
| selectedvar | - the offset into the block of each variable in each block to select

### Output Parameters

| is | - the index set

### Notes

Use blocksize[i] of -1 to indicate select all the variables of the i-th component, for which nselectvar[i] and selectedvar[i] are ignored. Use NULL, NULL, NULL to indicate for all selected components one wishes to obtain all the values of that component. For example, DMNetworkCreateIS(dm,1,&key,NULL,NULL,NULL,&is) will return an is that extracts all the variables for the 0-th component.

### See Also

DMNetworkCreate(), ISCreateGeneral(), DMNetworkCreateLocalIS()

### Level

Advanced

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages